Name:           pidgin-sipe
Version:        1.9.1
Release:        1%{?dist}
Summary:        Pidgin protocol plugin to connect to MS Office Communicator

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sipe.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/sipe/sipe/pidgin-sipe-%{version}/pidgin-sipe-%{version}.tar.bz2

BuildRequires:  zlib-devel, libpurple-devel >= 2.4.0, e2fsprogs-devel, intltool
BuildRequires:  krb5-devel, gettext

Requires:       purple-sipe = %{version}-%{release}


%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

This package provides the icon set for Pidgin.


%package -n purple-sipe
Summary:        Libpurple protocol plugin to connect to MS Office Communicator
Group:          %{pkg_group}
License:        GPLv2+


%description -n purple-sipe
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

This package provides the protocol plugin for libpurple clients.


%prep
%setup -q


%build
%configure \
    --with-krb5 \
    --with-purple \
    --without-telepathy
make %{?_smp_mflags}


%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -n purple-sipe -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/purple-2/libsipe.so


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.png


%changelog
* Tue Mar 16 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.1-1
- Upstream 1.9.1:
        - Fix Kerberos authentication for unix platforms (broken in 1.9.0)
        - Bugfixes

* Thu Mar 11 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.0-1
- Upstream 1.9.0:
        - Contributed File transfer functionality. File encryption is supported.
        - NTLMv2 and NTLMv2 Session Security support
        - Implemented SIP Authentication Extensions protocol version 4 and 3
        - another shot at presence update problems
        - fix crash caused by uninitialized security contexts
        - Updated translations: ru, de, es, pt_BR
        - Bugfixes and crash fixes
- BR libpurple >= 2.4.0
- Split into purple-sipe and pidgin-sipe
- Other spec fixes to match upstream's spec file

* Tue Feb 16 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.8.1-1
- Upstream 1.8.1 (crash fixes)

* Mon Feb 08 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.8.0-1
- Upstream 1.8.0 (new features)
- Exchange Calendar integration
- New and updated translations
- Bugfixes

* Mon Nov 23 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.7.1-1
- Upstream 1.7.1 (bugfixes)

* Tue Nov 03 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.7.0-1
- Upstream 1.7.0

* Mon Sep 28 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.3-1
- Upstream 1.6.3

* Tue Sep 08 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.2-1
- Upstream 1.6.2
- Drop obsoleted ppc fix patch

* Fri Jul 31 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-2
- Add BR: gettext to build on EPEL

* Thu Jul 30 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-2
- Another attempt at ppc build fix (patch from Stefan Becker)

* Tue Jul 28 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-1
- Upstream 1.6.0
- Build on ppc, but pass --enable-quality-check=no to configure

* Thu Jul 16 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-2
- Build --with-krb5

* Tue Jun 30 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-1
- Initial packaging.

